local class = require "yale/class"
local U = require "yale/util"

local ENM = require "enemy"

local setColor = love.graphics.setColor
local circle = love.graphics.circle

-- scarier suicide bombers

class "bulldog" ("enemy") {}

local function update(e, dt)
	ENM.update(e, dt)
	local px, py = e:get_player_pos()
	local fx, fy = U.normalize(px, py)
	e.body:applyForce(fx * 60, fy * 60)
end
local function draw(e)
	local hrat = e.health/e.max_health
	setColor(U.hsl2rgb(hrat*.5+.5, .75, hrat*.15))
	local cx, cy = e.shape:getWorldCenter()
	circle("fill", cx, cy, e.shape:getRadius(), 16)
	setColor(255, 255*hrat, 255*hrat)
	circle("line", cx, cy, e.shape:getRadius(), 16)
end

local BU = class.bulldog
BU.update = update
BU.draw = draw
return BU
